Summary: Utilities for using the grid messaging system
Name: msg-utils
Version: 1.0.10
Release: 1%{?dist}
License: ASL 2.0
Group: Network/Monitoring
Source0: %{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

install --directory $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
install   CHANGES   $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
install   README    $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
install   INSTALL   $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

install --directory $RPM_BUILD_ROOT/usr/bin
install   src/msg-brokers $RPM_BUILD_ROOT/usr/bin/

# Cache dir
install --directory $RPM_BUILD_ROOT/var/cache/msg/broker-cache-file

# broker-cache-file.
# This shoud all be done with Make install but here goes anyway.
install -D broker-cache-file/broker-cache-file $RPM_BUILD_ROOT/usr/sbin/broker-cache-file
install -D broker-cache-file/broker-cache-file.initd $RPM_BUILD_ROOT/etc/init.d/broker-cache-file
install -D broker-cache-file/broker-cache-file.cron $RPM_BUILD_ROOT/etc/cron.d/broker-cache-file
install -D broker-cache-file/broker-cache-file.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/broker-cache-file
install -D broker-cache-file/broker-cache-file.conf $RPM_BUILD_ROOT/etc/broker-cache-file.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(0755,root,root) /usr/bin/msg-brokers
%dir %attr(0775,root,root) /var/cache/msg/broker-cache-file
%doc %{_datadir}/doc/%{name}-%{version}/CHANGES
%doc %{_datadir}/doc/%{name}-%{version}/INSTALL
%doc %{_datadir}/doc/%{name}-%{version}/README

# Cache File Stuff.
%dir /var/cache/msg/broker-cache-file
%attr(0755,root,root) %{_sbindir}/broker-cache-file
%attr(0755,root,root) /etc/init.d/broker-cache-file
%attr(0644,root,root) %config(noreplace) /etc/logrotate.d/broker-cache-file
%attr(0644,root,root) %config(noreplace) /etc/cron.d/broker-cache-file
%attr(0644,root,root) %config(noreplace) /etc/broker-cache-file.conf

%post
/sbin/chkconfig --add broker-cache-file

%preun
if [ "$1" = 0 ] ; then
   /sbin/service broker-cache-file stop
   /sbin/chkconfig --del broker-cache-file
fi

%changelog
* Mon Aug  16 2010 Emir Imamagic <eimamagi@srce.hr> - 1.0.10-1%{?dist}
- changed init.d start levels
  https://tomtools.cern.ch/jira/browse/MIG-127

* Fri Apr  9 2010 Lionel Cons <lionel.cons@cern.ch> - 1.0.9-1%{?dist}
- The brokers are now better tested and the list of brokers in the cache
  is now sorted by response time

* Wed Mar 17 2010 Lionel Cons <lionel.cons@cern.ch> - 1.0.8-1%{?dist}
- Replaced find_broker and find_all_brokers by msg-brokers
- Updated broker-cache-file accordingly
- msg-brokers does support multiple BDII in LCG_GFAL_INFOSYS,
  this fixes https://savannah.cern.ch/bugs/?64033

* Tue Mar  9 2010 Lionel Cons <lionel.cons@cern.ch> - 1.0.7-1%{?dist}
- Improved find_all_brokers (https://savannah.cern.ch/bugs/?64009)

* Fri Mar  5 2010 Lionel Cons <lionel.cons@cern.ch> - 1.0.6-3%{?dist}
- Now use Net::STOMP::Client instead of GridMon::MsgBroker (and Net::Stomp)

* Wed Jun 3 2009 Steve Traylen <steve.traylen@cern.ch> 1.0.5-3%{?dist}
- BROKER_NETWORK must be exported.
- https://savannah.cern.ch/bugs/?48809

* Tue Jun 2 2009 Steve Traylen <steve.traylen@cern.ch> 1.0.4-3%{?dist}
- LCG_GFAL_INFOSYS must be exported.
- https://savannah.cern.ch/bugs/?51115

* Thu May 14 2009 Christos Triantafyllidis <ctria@grid.auth.gr> 1.0.3-3%{?dist}
- Trivial mistake

* Thu May 14 2009 Steve Traylen <steve.traylen@cern.ch> 1.0.2-3%{?dist}
- Trivial mistake

* Thu May 14 2009 Christos Triantafyllidis <ctria@grid.auth.gr> 1.0.1-3%{?dist}
- Added find_all_brokers to the broker-cache-file script workflow
  https://savannah.cern.ch/bugs/?48922
  https://savannah.cern.ch/bugs/?48809

* Fri Mar 06 2009 Steve Traylen <steve.traylen@cern.ch> 1.0.0-3%{?dist}
  Add a %{?dist} tag.

* Mon Dec 01 2008 James Casey <james.casey@cern.ch> 1.0.0-1
- Move broker cache stuff into msg-utils

